Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 129986 - include system documenting guidelines in the Doc Guide
Summary: include system documenting guidelines in the Doc Guide
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: documentation-guide
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Douglas Silas
QA Contact: Tammy Fox
URL:
Whiteboard:
Depends On:
Blocks: fedora-docs-ideas fdp-docguide-traqr
TreeView+ depends on / blocked
 
Reported: 2004-08-16 12:26 UTC by Karsten Wade
Modified: 2009-07-31 00:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-31 00:50:26 UTC


Attachments (Terms of Use)

Description Karsten Wade 2004-08-16 12:26:38 UTC
In addition to detailing how to do screenshots, we need to specify 
how to eliminate variables that are not common to a Fedora Core
installation.  For example, using a default, fresh user account
prevents customizations in the author's ~/.bash* files such as
additions to te $PATH.  

This "System Documenting Guidelines" would include best practices for
technology usage, such as using rpm packages instead of tarballs.  We
might choose to have equal preferences for equivalent technologies,
such as up2date and yum.

A big reminder to include is to document the existing system, not
provide "fixes" that make a system unsupportable, abnormal, or
otherwise _more_ difficult to maintain.

This would be a chapter or section.

Comment 1 Douglas Silas 2009-07-27 22:29:07 UTC
This bug is ancient, and no longer seems applicable to me. In particular, because this has been assigned to me, it would need to apply to the Fedora Deployment Guide, which seems to cover what's listed here:

file:///home/silas/repos/redhat/fedorahosted/Deployment_Guide/community/fc12/tmp/en-US/html-single/index.html#pt-pkg-management

Any comments? If not, I will close this bug soon.

Comment 2 Douglas Silas 2009-07-31 00:50:26 UTC
Because using rpms instead of tarballs, etc. is well-represented in the RPM Guide, and will be also in the upcoming Fedora Deployment Guide (and probably elsewhere too), I am closing this as NOTABUG. If there are further requests along this line, please create a new bug for them. Thanks.


Note You need to log in before you can comment on or make changes to this bug.